<template>
  <div>
    <div class="page-title">
      <h3>{{ 'Bill' | localization }}</h3>

      <button class="btn waves-effect waves-light btn-small" @click="refresh">
        <i class="material-icons">refresh</i>
      </button>
    </div>

    <Loader v-if="loading" />

    <div v-else class="row">

      <Bill :rates="currencies.rates" />

      <Currency :currencies="currencies" />

    </div>
  </div>
</template>

<script>

  import Bill from "@/components/home/Bill";
  import Currency from "@/components/home/Currency";

  export default {
    name: "Home",
    data: () => ({
      loading: true,
      currencies: null
    }),
    async mounted() {
      this.currencies = await this.$store.dispatch('getCurrencies');
      this.loading = false;
    },
    methods: {
      async refresh() {
        this.loading = true;
        this.currencies = await this.$store.dispatch('getCurrencies');
        this.loading = false;
      }
    },
    components: {
      Bill, Currency
    }
  }
</script>

<style scoped>

</style>